//custom styles for Doruk Web

//Variables for f=font-size
/*$f_p: 14pt;*/
//Variables for lH=Line Heigth

body{
  background-color:#fbfbfb;
}

.h2ClassBox {
  position:relative;
    .h2Class {
        @extend .h2Class;
        color: $t_Light_3;
        /*@include line-height (70);*/
        position: absolute;
        left: -110px;
        top: 12px;
        overflow: visible;
        height: 1.2rem;
        z-index: -1;

        .dark & {
            color: $t_Dark_3;
        }
        @media #{$small-only} {
          left: 0px;
          top: 35px;
          @include font-size(30);
        }
        @media #{$medium-only} {
          left: 0px;
          top: 6px;
          @include font-size(45);
          /*@include line-height (70);*/
        }

    }

    .H2TitleMultiline{
      line-height: 150px;
      position: relative;
      top: 45px;
      @media #{$small-only} {
        line-height: 52px;
        top: 25px;
      }
      @media #{$medium-only} {
        line-height: 80px;
        top: -20px;
      }
    }

    .h2ClassBoxContent {
        /*margin: 0px auto -95px 0px;*/
        & p{
          @include line-height (16);
        }

        .h3Class {
            @extend .h3Class;
            padding-top: 24px;

            .dark & {
                color: $t_LightMost;
                margin-top: 100px;
            }
        }
    }
}

.centeredDesign{
  clear:both;
  text-align:center;
  margin: 0px auto;
  .yellowVSpacer{
    margin: 0px auto;
  }
  .h2Class {
    float: none;
    position:relative;
    top:40px;
    left: auto;
  }

}

.buttonBigger{
  @include font-size(12);
  @include line-height(15);
  font: {
    family: 'bebas_neue_regularregular';
    //size: 2.6em;
    //weight: 300;
  }
  letter-spacing: 5px;
  /*margin-top:50px;*/
}

.buttonLineRight{
    @include font-size(14);
    @include line-height(20);
    font: {
      family: 'bebas_neue_regularregular';
    }
    position:relative;
    z-index:1;
    letter-spacing: 3px;
    color: $t_Dark_2;
    @include transition(all 200ms ease-in-out);

    &:hover, &:focus {
      color: $t_Dark_3;
    }

    &:after {
  	content: '';
    position: relative;
    float:right;
    right: -5%;
    top: -22px;
    z-index:-1;
  	height: 3px;
  	width: 30%;
  	background: $yellow;
    @include transition(all 200ms ease-in-out);

    }
    &:hover:after, &:focus:after {
    	width: 115%;
      @include transition(all 200ms ease-in-out);
    }
}

#moreCircleButton{
  width:41px;
  height:41px;
  margin-top:-20px;
  @include font-size(12);
  @include rounded(50%);
  color:$yellow;
  background-color:$t_Dark_1;
  i{
    color:$yellow;
    margin-top:13px;
  }
  @include transition(all 200ms ease-in-out);
  &:hover{
  background-color:$t_Dark_2;
  }
  @media #{$small-only} {
    padding-left: 5px;
  }
  @media #{$medium-only} {

  }
}


.paintYellow{
  color: $yellow;
  font-weight:bold;
}
.yellowVSpacer{
  height: 95px;
  width: 2px;
  background-color: $yellow;
  position: relative;
}

.yellowHSpacer{
  display:block;
  width:60px;
  height:3px;
  background:$yellow;
  margin:1em -15px 1em;
}

.whiteSpanner{
  display: inline;
  background: white;
  @include box-shadow(10px, 0px, 0px, white);
  @include box-shadow(-10px, 0px, 0px, white);
}

//Features Section
.h4ClassBox{
   & p{
     @include font-size(7);
     @include line-height (12);
   }

  .homeNewsContainer &{
    position: relative;
    /*top:-250px;*/
    /*p{
      @extend .whiteSpanner;
    }*/
  }
}

.h4Class > i {
  @include font-size(5);
}

.newsThumbMedium{
  /*@include transition(all 200ms ease-in-out);*/
  /*@include pixelated();*/
    position: absolute;
    top: 0px;
    float:right;
    right: 25px;
    z-index: -1;
    /*@include clip-path();*/
    width:330px;
    height:320px;

    background: {
      size: cover;
      //size: auto 100%;
      position: center;
      repeat: no-repeat;
    }

    @media #{$small-only} {
      right: 0px;
      width:280px;
      height:140px;
    }
    @media #{$medium-only} {
      right: 0px;
      height:300px;
      width:400px;
    }
  /*&:after{
    content: attr(url(background));
    position: absolute;
    top:0;
    left:0;
    background: {
      size: 50%;
      position: center;
      repeat: no-repeat;
    }
  }*/
}


.giveMeSpace{
  margin: 20px auto;
}
.homeNewsItem,
.newsItemRow{
  cursor:pointer;
}
.homeNewsContainer{
  & .column:nth-child(even) {
    .buttonBigger{
      float: right;
      margin-top: 20px;
    }
    @media screen and #{breakpoint(large up)}  {
      right: -60px;
      position: relative;
      .buttonBigger{
        margin-right: 20px;
        margin-top: 80px;
      }
    } // end of media

  }

  /*@include flex-align(justify, top);*/
  .homeNewsItem{
    padding:40px 0px 0px;
    min-height:160px;
    position:relative;
    /*&:hover .newsThumbMedium{
      background: {
        size: auto 103% ;
      }
    }*/
    @media #{$small-only} {
    margin:0px 0px 40px;
    }
    @media #{$medium-only} {

     }
     .homeNewsContent{
      min-height:255px;
      align-items: center;
      width: 60%;
      margin-top: 25px;
      z-index:1;
      @media #{$small-only} {
        width: 90%;
        min-height:190px;
        max-width: 280px;
      }
      @media #{$medium-only} {
        min-height:260px;
        width: 60%;
      }
      .homeNewsContent{
        @media #{$small-only} {
          height:75px;
          overflow:hidden;
        }
        @media #{$medium-only} {
          /*height:60px;
          overflow:hidden;*/
        }
      } //end of p
     } //end of homeNewsContent
   }

}

.signatureHome{
  display:block;
  text-align: right;
  margin-bottom: 30px;
  @media #{$small-only} {
    display:block;
    text-align:center;
  }
  @media #{$medium-only} {

  }
}

/*.h4Class {
  .homeNewsContainer &{
    @extend .whiteSpanner;
  }
}*/

#logoAndMenuIcon{
  width:100%;
  position: absolute;
  top: 2em;
  a{
    font: {
      family: 'bebas_neueregular';
      weight: 400;
    }
    & a{
      padding: 0.2em .5em 0.2em 0;
    }
    letter-spacing: 3px;
    color: $t_Dark_1;
    & a:hover{
      color: $t_DarkMost;
    }

    & a.currentLang{
      color: $t_Dark_2;
    }
  }
  z-index:4;
  @media #{$small-only} {
    top: 1.3em;
  }
}

.logoAndText{
  margin-top:8px;
  margin-left:3em;

  @media #{$small-only} {
      margin-left: 1.5em;
  }
  .logoText{
    @include font-size(8);
    letter-spacing: 5px;
    border-left:1px solid $t_Dark_3;
    margin-left:1em;
    padding:0.4em 0em 0.4em 1em;
    @include transition(all 200ms ease-in-out);
    &:hover{
      padding:1em 0em 1em 1em;
    }
    @media #{$small-only} {
      padding:0.4em 0em 0.4em 0em;
      display: block;
      border-left:none;
      margin-left:0;
      &:hover{
        padding:0.4em 0em 0.4em 0em;
      }
    }
  }
}
#languageMenu{
  position:absolute;
  right:6em;
  top: 12px;
  text-align:right;
  & a{
    @include font-size(9);
    margin-right:20px;
    }
  /*float:right;*/
}

#open-button{
  position:absolute;
  z-index:999;
  top:30px;
  right:2.3em;

  /*float:right;*/
  @media #{$small-only} {
			right:1.5em;
		}
}

.dark {
  position: relative;
  padding-bottom:30px;
  .h2ClassBoxContent{
    position:relative;
  }
  .h2ClassBox > .h2Class{
    /*position: relative;*/
    z-index: 0;
    @media #{$small-only} {
      /*@include font-size(30);*/
      left: 0px;
      top: 75px;
    }
    @media #{$medium-only} {
      left: 0px;
      top: 50px;
      /*@include line-height (70);*/
    }
  }
}

.jobsTeaser{
  @extend .h2Class;
  @include font-size(40);
  @include line-height (50);
  color:$t_Dark_2;
  @include opacity(0.4);
  @media #{$small-only} {
    @include font-size(25);
    @include line-height (35);
  }
  @media #{$medium-only} {
    @include font-size(35);
    @include line-height (32);
  }

}


.innderDarkBox{
  position: relative;
  padding-top:30px;
  padding-bottom:10px;
  background:$t_Dark_1;
  margin: 0 auto;
  @media #{$large-up} {

  }
  img {
    position: absolute;
    top: -35px;
    margin-left: -35px;
  }
  text-align:center;
  & p.h2Class{
    font-weight:normal;
    letter-spacing:4px;

  }
}

.address{
  @extend p;
}

$featured-icon-list:
  home-asset-icon-1
  home-asset-icon-2
  home-asset-icon-3
  home-asset-icon-4;
@each $icon in $featured-icon-list {
    $i: index($featured-icon-list, $icon);
    #feat-#{$i} {
      padding-top:45px;
      padding-left:55px;
      background: {
          image: url("../img/home-asset-icon-sprite.png");
          position: 0px (-400px * ($i - 1));
          repeat: no-repeat;
      }
    }
}

.jiggleLogos {
  overflow:visible;
  img{

    @include transition(all 200ms ease-in-out);
    @include rounded(0.4em);

    position: absolute;

    &:nth-child(2n-1) {
      margin-left: 3vw;
      margin-top: 3vw;
    }
    &:hover, &:active{
      margin-left:5vw;
      z-index: 2;
    }
  }
  @media #{$medium-only} {
    top:0;
    img{
      left: -200px;
    }
  }
  @include hide-for-only(small);



}

.bgDot{
  background: {
      image: url("../img/bg-asset-dotted.png");
      repeat: no-repeat;
      position: bottom left;
  }
}

.bgImageDarken{
  position:relative;
  &:before{
    content: "";
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;
    background-color: $t_Dark_1;
    opacity: 0.9;
    z-index:0;
  }
}

.bgImageCareers {
  background: {
      image:linear-gradient(rgba($t_Dark_3, .93), rgba($t_Dark_3, .93)),url("../img/bg-asset-recruit.jpg");
      color: $t_Dark_1;
      repeat: no-repeat;
      size: cover;
      position: center center;
  }
}

.bgImageWeAreTeam {
  background: {
      image:linear-gradient(rgba($t_Dark_3, .93), rgba($t_Dark_3, .93)),url("../img/bg-asset-recruit.jpg");
      color: $t_Dark_1;
      repeat: no-repeat;
      size: cover;
      position: center center;
  }
}

.bgImageMountain{
  background: {
      image:linear-gradient(rgba($t_Dark_3, .93), rgba($t_Dark_3, .93)),url("../img/bg-asset-mountain.jpg");
      color: $t_Dark_1;
      repeat: no-repeat;
      size: cover;
      position: center center;
  }
}

.bgImageCareers{
  background: {
      image:linear-gradient(rgba($t_Dark_3, .93), rgba($t_Dark_3, .93)),url("../img/bg-asset-recruit.jpg");
      color: $t_Light_1;
      repeat: no-repeat;
      size: cover;
      position: center center;
  }
}

.jobsContainer{
  padding: 80px 0px 40px;
  ul{
    list-style-type: none;
    a {
      margin-bottom: 8px;
    }
  }
  ul{
    margin:0px;
  }
}

.footerClass{
  /*text-align:center;*/
  @include flex-align(center, top);

  /*.shrink{
    margin-right:20px
  }*/
  .h4Class{
    @include font-size(10);
    font-weight:300;
  }
  .address{
    /*@include font-size(7);*/
    font-weight:500;
    color: $t_Dark_1;
  }
  .small-order-3,
  .small-order-4{
    text-align:center;
  }

  i{
    font-size:25px;
  }
  @media #{$large-up} {
    @include flex-align(justify, top);
    .large-order-1{
      text-align:left;
    }
    /*text-align:left;*/
  }
  .socialsClass{
    a{
      color:$t_Light_2;
      margin-right:25px;
      &:last-of-type{
        margin-right:0;
      }
      &:hover{
        color:$t_Dark_1;
      }
    }
    @media #{$large-up} {
      text-align:right;
    }
  }

}


#logoCarousel{
  text-align: center;
}


//Dividers
.vDividerSmall{
  height:30px;
}

.vDividerMedium{
  height:60px;
}

.vDividerLarge{
  height:90px;
}

.vDividerXLarge{
  height:120px;
}

.vDividerLargeOnDesktopSmallonDevice{

  height:90px;

  @media #{$small-only} {
    height:30px;
  }
  @media #{$medium-only} {

  }
}

.shiftUp20{
  margin-top: -20px;
}
.shiftUp40{
  margin-top: -40px;
}
.darkSide{
  & #logoAndMenuIcon{
    & a{
        color: $t_Light_1;
        &:hover, &:focus {
        color: $t_Light_2;
        }
      /*&.currentLang{
        background:red;
        color: $t_Light_2;
      }*/
    }

    & img{
      @include invert_element();
      opacity: 0.4;
      @include transition(all 200ms ease-in-out);
      &:hover{
        opacity: 1;
        @include transition(all 200ms ease-in-out);
      }
    }

    & .logoText{
      border-left:1px solid $t_Light_2;
      @media #{$small-only} {
        border:none;
      }
    }
  }
  .hamburger-inner{
      background-color:$t_Light_2;
    &:before, &:after{
      background-color:$t_Light_2;
    }
  }
}

//***********
//***** EFFECTS

.shadowed{
  @include box-shadow(0px, 0px, 80px, #ccc)
}

.grayscaleOnHover {
    @include grayscale_element(100%);
    @include transition(all 200ms ease-in-out);
    &:hover {
        @include grayscale_element(0);
    }
}

.grayscaleOnHoverOpacity {
    @include opacity(0.4);
    @include grayscale_element(100%);
    @include transition(all 200ms ease-in-out);
    &:hover {
        @include opacity(1);
        @include grayscale_element(0);
    }
}

.grayscaleOutside {
    @include grayscale_element(0);
    transition: all 200ms ease-in-out;
    &:hover {
        @include grayscale_element(100);
    }
}

.rouded{
  @include rounded(2em)
}
